package edu.gwu.simplenetsim;

import edu.gwu.simplenetsim.*;

import java.awt.*;


/**
 * This is the base packet class, with optional info for the GUI.
 * Note: shapes have not been implemented, but colors are. The
 * color variable inherits down the hierarchy and can be set by
 * any layer. The appropriate color then shows up in animation.
 * This is useful for debugging - one can use a different color
 * for control packets, for instance.
 *
 * @author Rahul Simha
 */

public class NetsimPacket {

    public static int CIRCLE = 0;
    public static int SQUARE = 1;

    public static int IDCount = 1;

    int ID = IDCount++;
    Color color = Color.blue;
    double x, y;                // Must be in the range [0,10]
    int shape = CIRCLE;

}
